<td><strong><% // Produce links to all other pages, cooler than just next, previous links
  for (int i=0; i<files.length; i++) {
    Map vars = (Map)fileVariables.get(files[i]);
    if (i+1 != imageNum) out.print("<a href=\"" + vars.get("currentPage") + "\">");
    else out.print("<b>");
    out.print(" " + (i+1));
    if (i+1 != imageNum) out.print("</a>");
    else out.print("</b>");
  }
%>
</strong></td>
<TD CLASS="navigation" align="right"><strong>
<!-- Previous button -->
<ja:if exists="previousPage">
	<A HREF="$previousPage">previous</A>
</ja:if>
<ja:else>
	previous
</ja:else>
|
<!-- Next button -->
<ja:if exists="nextPage">
	<A HREF="$nextPage">next</A>
</ja:if>
<ja:else>
	next
</ja:else></strong></TD>
